Bug 1290551 - Review Request: perl-App-cpm - Fast CPAN module installer
Summary: Review Request: perl-App-cpm - Fast CPAN module installer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1290542 1290544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-10 19:02 UTC by Petr Šabata
Modified: 2016-02-16 15:27 UTC (History)
2 users (show)

Fixed In Version: perl-App-cpm-0.111-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-16 15:27:41 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Šabata 2015-12-10 19:02:13 UTC
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-App-cpm/perl-App-cpm.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-App-cpm/perl-App-cpm-0.111-1.fc23.src.rpm
Description:
cpm is a fast CPAN module installer, which uses Menlo::CLI::Compat in
parallel.
Fedora Account System Username: psabata

Comment 1 Jitka Plesnikova 2015-12-15 08:37:20 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-App-cpm-0.111-1.fc24.noarch.rpm | sort | uniq -c
      1 /usr/bin/perl
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(App::cpm)
      1 perl(App::cpm::Distribution)
      1 perl(App::cpm::Job)
      1 perl(App::cpm::Logger)
      1 perl(App::cpm::Master)
      1 perl(App::cpm::Worker)
      1 perl(App::cpm::Worker::Installer)
      1 perl(App::cpm::Worker::Resolver)
      1 perl(CPAN::DistnameInfo)
      1 perl(CPAN::Meta)
      1 perl(CPAN::Meta::YAML)
      1 perl(Config)
      1 perl(Cwd)
      1 perl(File::Basename)
      1 perl(File::Path)
      1 perl(File::pushd)
      1 perl(Getopt::Long)
      1 perl(HTTP::Tiny)
      1 perl(IO::Handle)
      1 perl(IO::Select)
      1 perl(JSON::PP) >= 2.27300
      1 perl(List::Util)
      1 perl(Menlo::CLI::Compat)
      1 perl(Module::CPANfile)
      1 perl(Module::CoreList)
      1 perl(Module::Metadata)
      1 perl(Pod::Usage)
      1 perl(Time::HiRes)
      1 perl(constant)
      1 perl(local::lib)
      1 perl(strict)
      1 perl(utf8)
      1 perl(version)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-App-cpm-0.111-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(App::cpm) = 0.111
      1 perl(App::cpm::Distribution)
      1 perl(App::cpm::Job)
      1 perl(App::cpm::Logger)
      1 perl(App::cpm::Master)
      1 perl(App::cpm::Worker)
      1 perl(App::cpm::Worker::Installer)
      1 perl(App::cpm::Worker::Resolver)
      1 perl-App-cpm = 0.111-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-App-cpm*
perl-App-cpm.src: W: spelling-error %description -l en_US Compat -> Com pat, Com-pat, Compact
perl-App-cpm.noarch: W: spelling-error %description -l en_US Compat -> Com pat, Com-pat, Compact
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Rpmlint is ok

The package looks good.
Approved.

Comment 2 Gwyn Ciesla 2015-12-15 14:45:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-App-cpm

Comment 3 Fedora Update System 2015-12-15 15:51:42 UTC
perl-App-cpm-0.111-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9b429b4c2e

Comment 4 Fedora Update System 2015-12-17 02:00:10 UTC
perl-App-cpm-0.111-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-App-cpm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9b429b4c2e

Comment 5 Fedora Update System 2015-12-28 22:57:44 UTC
perl-App-cpm-0.111-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.